## org.hibernate.type
Interface BasicType

All Superinterfaces:
  Serializable, Type

All Known Implementing Classes:
  AbstractSingleColumnStandardBasicType, AbstractStandardBasicType, AdaptedImmutableType, BigDecimalType, BigIntegerType, BinaryType, BlobType, BooleanType, ByteType, CalendarDateType, CalendarType, CharacterArrayClobType, CharacterArrayType, CharacterType, CharArrayType, CharBooleanType, ClassType, ClobType, CompositeCustomType, CurrencyType, CustomType, DateType, DbTimestampType, DoubleType, FloatType, ImageType, IntegerType, LobType, LocaleType, LongType, MaterializedBlobType, MaterializedClobType, NumericBooleanType, ObjectType, PostgresUUIDType, PrimitiveCharacterArrayClobType, SerializableType, ShortType, StringType, TextType, TimestampType, TimeType, TimeZoneType, TrueFalseType, UrlType, UUIDBinaryType, UUIDCharType, WrappedMaterializedBlobType, WrapperBinaryType, YesNoType

    public interface BasicType

extends Type

Marker interface for basic types.

Author:
  Steve Ebersole

Method Summary
`String[]` `getRegistrationKeys()` Get the names under which this type should be registered in the type registry.

Methods inherited from interface org.hibernate.type.Type

`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getName, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Method Detail

### getRegistrationKeys

    String[] getRegistrationKeys()

  Get the names under which this type should be registered in the type registry.

  Returns:
    The keys under which to register this type.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.